Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component
Class UIPanelMenu

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UIOutput
                  javax.faces.component.UIInput
                      org.richfaces.component.UIPanelMenu

All Implemented Interfaces:
  javax.faces.component.EditableValueHolder, javax.faces.component.StateHolder, javax.faces.component.ValueHolder

Direct Known Subclasses:
  HtmlPanelMenu

    public abstract class UIPanelMenu

extends javax.faces.component.UIInput

Field Summary
`static java.lang.String` | `COMPONENT_TYPE`
`static java.lang.String` | `DEFAULT_SELECTED_CLASS`
`static java.lang.String` | `USER_DEFINED_SELECTED_CLASS`

Fields inherited from class javax.faces.component.UIInput
`COMPONENT_FAMILY, CONVERSION_MESSAGE_ID, REQUIRED_MESSAGE_ID, UPDATE_MESSAGE_ID`

Fields inherited from class javax.faces.component.UIComponent
`bindings`

Constructor Summary
`UIPanelMenu()`

Method Summary
`abstract java.lang.String` | `getDisabledGroupClass()`
`abstract java.lang.String` | `getDisabledGroupStyle()`
`abstract java.lang.String` | `getDisabledItemClass()`
`abstract java.lang.String` | `getDisabledItemStyle()`
`abstract java.lang.String` | `getEvent()`
`abstract java.lang.String` | `getExpandMode()`
`abstract java.lang.String` | `getGroupClass()`
`abstract java.lang.String` | `getGroupStyle()`
`abstract java.lang.String` | `getHoveredGroupClass()`
`abstract java.lang.String` | `getHoveredGroupStyle()`
`abstract java.lang.String` | `getHoveredItemClass()`
`abstract java.lang.String` | `getHoveredItemStyle()`
`abstract java.lang.String` | `getIconCollapsedGroup()`
`abstract java.lang.String` | `getIconCollapsedTopGroup()`
`abstract java.lang.String` | `getIconDisabledGroup()`
`abstract java.lang.String` | `getIconDisabledItem()`
`abstract java.lang.String` | `getIconExpandedGroup()`
`abstract java.lang.String` | `getIconExpandedTopGroup()`
`abstract java.lang.String` | `getIconGroupPosition()`
`abstract java.lang.String` | `getIconGroupTopPosition()`
`abstract java.lang.String` | `getIconItem()`
`abstract java.lang.String` | `getIconItemPosition()`
`abstract java.lang.String` | `getIconItemTopPosition()`
`abstract java.lang.String` | `getIconTopDisabledItem()`
`abstract java.lang.String` | `getIconTopDisableGroup()`
`abstract java.lang.String` | `getIconTopItem()`
`abstract java.lang.String` | `getItemClass()`
`abstract java.lang.String` | `getItemStyle()`
`abstract java.lang.String` | `getMode()`
`abstract java.lang.String` | `getOnclick()`
`abstract java.lang.String` | `getOndblclick()`
`abstract java.lang.String` | `getOngroupcollapse()`
`abstract java.lang.String` | `getOngroupexpand()`
`abstract java.lang.String` | `getOnitemhover()`
`abstract java.lang.String` | `getOnmousemove()`
`abstract java.lang.String` | `getOnmouseout()`
`abstract java.lang.String` | `getOnmouseover()`
`abstract java.lang.String` | `getSelectedChild()`
`java.lang.String` | `getSelectedName()`
`abstract java.lang.String` | `getStyle()`
`abstract java.lang.String` | `getStyleClass()`
`abstract java.lang.String` | `getTopGroupClass()`
`abstract java.lang.String` | `getTopGroupStyle()`
`abstract java.lang.String` | `getTopItemClass()`
`abstract java.lang.String` | `getTopItemStyle()`
`abstract java.lang.String` | `getWidth()`
`abstract boolean` | `isDisabled()`
`abstract boolean` | `isExpandSingle()`
`abstract void` | `setDisabled(boolean disabled)`
`abstract void` | `setDisabledGroupClass(java.lang.String disabledGroupClass)`
`abstract void` | `setDisabledGroupStyle(java.lang.String disabledGroupStyle)`
`abstract void` | `setDisabledItemClass(java.lang.String disabledItemClass)`
`abstract void` | `setDisabledItemStyle(java.lang.String disabledItemStyle)`
`abstract void` | `setEvent(java.lang.String event)`
`abstract void` | `setExpandMode(java.lang.String expandMode)`
`abstract void` | `setExpandSingle(boolean expandSingle)`
`abstract void` | `setGroupClass(java.lang.String groupClass)`
`abstract void` | `setGroupStyle(java.lang.String groupStyle)`
`abstract void` | `setHoveredGroupClass(java.lang.String hoveredGroupClass)`
`abstract void` | `setHoveredGroupStyle(java.lang.String hoveredItemStyle)`
`abstract void` | `setHoveredItemClass(java.lang.String hoveredItemClass)`
`abstract void` | `setHoveredItemStyle(java.lang.String hoveredItemStyle)`
`abstract void` | `setIconCollapsedGroup(java.lang.String iconCollapsedGroup)`
`abstract void` | `setIconCollapsedTopGroup(java.lang.String iconCollapsedTopGroup)`
`abstract void` | `setIconDisabledGroup(java.lang.String iconDisabledGroup)`
`abstract void` | `setIconDisabledItem(java.lang.String iconDisabledItem)`
`abstract void` | `setIconExpandedGroup(java.lang.String iconExpandedGroup)`
`abstract void` | `setIconExpandedTopGroup(java.lang.String iconExpandedTopGroup)`
`abstract void` | `setIconGroupPosition(java.lang.String iconGroupPosition)`
`abstract void` | `setIconGroupTopPosition(java.lang.String iconGroupTopPosition)`
`abstract void` | `setIconItem(java.lang.String iconItem)`
`abstract void` | `setIconItemPosition(java.lang.String iconItemPosition)`
`abstract void` | `setIconItemTopPosition(java.lang.String iconItemTopPosition)`
`abstract void` | `setIconTopDisabledItem(java.lang.String iconTopDisabledItem)`
`abstract void` | `setIconTopDisableGroup(java.lang.String iconTopDisableGroup)`
`abstract void` | `setIconTopItem(java.lang.String iconTopItem)`
`abstract void` | `setItemClass(java.lang.String itemClass)`
`abstract void` | `setItemStyle(java.lang.String itemStyle)`
`abstract void` | `setMode(java.lang.String mode)`
`abstract void` | `setOnclick(java.lang.String string)`
`abstract void` | `setOndblclick(java.lang.String string)`
`abstract void` | `setOngroupcollapse(java.lang.String ongroupcollapse)`
`abstract void` | `setOngroupexpand(java.lang.String ongroupexpand)`
`abstract void` | `setOnitemhover(java.lang.String onitemhover)`
`abstract void` | `setOnmousemove(java.lang.String string)`
`abstract void` | `setOnmouseout(java.lang.String string)`
`abstract void` | `setOnmouseover(java.lang.String string)`
`abstract void` | `setSelectedChild(java.lang.String string)`
`abstract void` | `setStyle(java.lang.String style)`
`abstract void` | `setStyleClass(java.lang.String styleClass)`
`abstract void` | `setTopGroupClass(java.lang.String topGroupClass)`
`abstract void` | `setTopGroupStyle(java.lang.String topGroupStyle)`
`abstract void` | `setTopItemClass(java.lang.String topItemClass)`
`abstract void` | `setTopItemStyle(java.lang.String topItemStyle)`
`abstract void` | `setWidth(java.lang.String width)`

Methods inherited from class javax.faces.component.UIInput
`addValidator, addValueChangeListener, compareValues, decode, getConvertedValue, getConverterMessage, getFamily, getRequiredMessage, getSubmittedValue, getValidator, getValidatorMessage, getValidators, getValueChangeListener, getValueChangeListeners, isImmediate, isLocalValueSet, isRequired, isValid, processDecodes, processUpdates, processValidators, removeValidator, removeValueChangeListener, resetValue, restoreState, saveState, setConverterMessage, setImmediate, setLocalValueSet, setRequired, setRequiredMessage, setSubmittedValue, setValid, setValidator, setValidatorMessage, setValue, setValueChangeListener, updateModel, validate, validateValue`

Methods inherited from class javax.faces.component.UIOutput
`getConverter, getLocalValue, getValue, setConverter`

Methods inherited from class javax.faces.component.UIComponentBase
`addFacesListener, broadcast, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, processRestoreState, processSaveState, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getContainerClientId, getValueExpression, setValueExpression`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.faces.component.ValueHolder
`getConverter, getLocalValue, getValue, setConverter`

Field Detail

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

### DEFAULT_SELECTED_CLASS

    public static final java.lang.String DEFAULT_SELECTED_CLASS

See Also:
  Constant Field Values

### USER_DEFINED_SELECTED_CLASS

    public static final java.lang.String USER_DEFINED_SELECTED_CLASS

See Also:
  Constant Field Values

Constructor Detail

### UIPanelMenu

    public UIPanelMenu()

Method Detail

### getEvent

    public abstract java.lang.String getEvent()

### setEvent

    public abstract void setEvent(java.lang.String event)

### getMode

    public abstract java.lang.String getMode()

### setMode

    public abstract void setMode(java.lang.String mode)

### getWidth

    public abstract java.lang.String getWidth()

### setWidth

    public abstract void setWidth(java.lang.String width)

### getExpandMode

    public abstract java.lang.String getExpandMode()

### setExpandMode

    public abstract void setExpandMode(java.lang.String expandMode)

### isExpandSingle

    public abstract boolean isExpandSingle()

### setExpandSingle

    public abstract void setExpandSingle(boolean expandSingle)

### getIconItem

    public abstract java.lang.String getIconItem()

### setIconItem

    public abstract void setIconItem(java.lang.String iconItem)

### getIconDisabledItem

    public abstract java.lang.String getIconDisabledItem()

### setIconDisabledItem

    public abstract void setIconDisabledItem(java.lang.String iconDisabledItem)

### getIconTopItem

    public abstract java.lang.String getIconTopItem()

### setIconTopItem

    public abstract void setIconTopItem(java.lang.String iconTopItem)

### getIconTopDisabledItem

    public abstract java.lang.String getIconTopDisabledItem()

### setIconTopDisabledItem

    public abstract void setIconTopDisabledItem(java.lang.String iconTopDisabledItem)

### getIconExpandedGroup

    public abstract java.lang.String getIconExpandedGroup()

### setIconExpandedGroup

    public abstract void setIconExpandedGroup(java.lang.String iconExpandedGroup)

### getIconCollapsedGroup

    public abstract java.lang.String getIconCollapsedGroup()

### setIconCollapsedGroup

    public abstract void setIconCollapsedGroup(java.lang.String iconCollapsedGroup)

### getIconDisabledGroup

    public abstract java.lang.String getIconDisabledGroup()

### setIconDisabledGroup

    public abstract void setIconDisabledGroup(java.lang.String iconDisabledGroup)

### getIconExpandedTopGroup

    public abstract java.lang.String getIconExpandedTopGroup()

### setIconExpandedTopGroup

    public abstract void setIconExpandedTopGroup(java.lang.String iconExpandedTopGroup)

### getIconCollapsedTopGroup

    public abstract java.lang.String getIconCollapsedTopGroup()

### setIconCollapsedTopGroup

    public abstract void setIconCollapsedTopGroup(java.lang.String iconCollapsedTopGroup)

### getIconTopDisableGroup

    public abstract java.lang.String getIconTopDisableGroup()

### setIconTopDisableGroup

    public abstract void setIconTopDisableGroup(java.lang.String iconTopDisableGroup)

### getIconItemPosition

    public abstract java.lang.String getIconItemPosition()

### setIconItemPosition

    public abstract void setIconItemPosition(java.lang.String iconItemPosition)

### getIconItemTopPosition

    public abstract java.lang.String getIconItemTopPosition()

### setIconItemTopPosition

    public abstract void setIconItemTopPosition(java.lang.String iconItemTopPosition)

### getIconGroupPosition

    public abstract java.lang.String getIconGroupPosition()

### setIconGroupPosition

    public abstract void setIconGroupPosition(java.lang.String iconGroupPosition)

### getIconGroupTopPosition

    public abstract java.lang.String getIconGroupTopPosition()

### setIconGroupTopPosition

    public abstract void setIconGroupTopPosition(java.lang.String iconGroupTopPosition)

### getStyle

    public abstract java.lang.String getStyle()

### setStyle

    public abstract void setStyle(java.lang.String style)

### getStyleClass

    public abstract java.lang.String getStyleClass()

### setStyleClass

    public abstract void setStyleClass(java.lang.String styleClass)

### getGroupStyle

    public abstract java.lang.String getGroupStyle()

### setGroupStyle

    public abstract void setGroupStyle(java.lang.String groupStyle)

### getGroupClass

    public abstract java.lang.String getGroupClass()

### setGroupClass

    public abstract void setGroupClass(java.lang.String groupClass)

### getTopGroupStyle

    public abstract java.lang.String getTopGroupStyle()

### setTopGroupStyle

    public abstract void setTopGroupStyle(java.lang.String topGroupStyle)

### getTopGroupClass

    public abstract java.lang.String getTopGroupClass()

### setTopGroupClass

    public abstract void setTopGroupClass(java.lang.String topGroupClass)

### getItemStyle

    public abstract java.lang.String getItemStyle()

### setItemStyle

    public abstract void setItemStyle(java.lang.String itemStyle)

### getItemClass

    public abstract java.lang.String getItemClass()

### setItemClass

    public abstract void setItemClass(java.lang.String itemClass)

### getTopItemStyle

    public abstract java.lang.String getTopItemStyle()

### setTopItemStyle

    public abstract void setTopItemStyle(java.lang.String topItemStyle)

### getTopItemClass

    public abstract java.lang.String getTopItemClass()

### setTopItemClass

    public abstract void setTopItemClass(java.lang.String topItemClass)

### getDisabledItemClass

    public abstract java.lang.String getDisabledItemClass()

### setDisabledItemClass

    public abstract void setDisabledItemClass(java.lang.String disabledItemClass)

### getDisabledItemStyle

    public abstract java.lang.String getDisabledItemStyle()

### setDisabledItemStyle

    public abstract void setDisabledItemStyle(java.lang.String disabledItemStyle)

### getDisabledGroupClass

    public abstract java.lang.String getDisabledGroupClass()

### setDisabledGroupClass

    public abstract void setDisabledGroupClass(java.lang.String disabledGroupClass)

### getDisabledGroupStyle

    public abstract java.lang.String getDisabledGroupStyle()

### setDisabledGroupStyle

    public abstract void setDisabledGroupStyle(java.lang.String disabledGroupStyle)

### getHoveredItemClass

    public abstract java.lang.String getHoveredItemClass()

### setHoveredItemClass

    public abstract void setHoveredItemClass(java.lang.String hoveredItemClass)

### getHoveredItemStyle

    public abstract java.lang.String getHoveredItemStyle()

### setHoveredItemStyle

    public abstract void setHoveredItemStyle(java.lang.String hoveredItemStyle)

### getHoveredGroupStyle

    public abstract java.lang.String getHoveredGroupStyle()

### setHoveredGroupStyle

    public abstract void setHoveredGroupStyle(java.lang.String hoveredItemStyle)

### getHoveredGroupClass

    public abstract java.lang.String getHoveredGroupClass()

### setHoveredGroupClass

    public abstract void setHoveredGroupClass(java.lang.String hoveredGroupClass)

### getOnitemhover

    public abstract java.lang.String getOnitemhover()

### setOnitemhover

    public abstract void setOnitemhover(java.lang.String onitemhover)

### getOngroupcollapse

    public abstract java.lang.String getOngroupcollapse()

### setOngroupcollapse

    public abstract void setOngroupcollapse(java.lang.String ongroupcollapse)

### getOngroupexpand

    public abstract java.lang.String getOngroupexpand()

### setOngroupexpand

    public abstract void setOngroupexpand(java.lang.String ongroupexpand)

### isDisabled

    public abstract boolean isDisabled()

### setDisabled

    public abstract void setDisabled(boolean disabled)

### setOnclick

    public abstract void setOnclick(java.lang.String string)

### getOnclick

    public abstract java.lang.String getOnclick()

### setOndblclick

    public abstract void setOndblclick(java.lang.String string)

### getOndblclick

    public abstract java.lang.String getOndblclick()

### setOnmouseout

    public abstract void setOnmouseout(java.lang.String string)

### getOnmouseout

    public abstract java.lang.String getOnmouseout()

### setOnmousemove

    public abstract void setOnmousemove(java.lang.String string)

### getOnmousemove

    public abstract java.lang.String getOnmousemove()

### setOnmouseover

    public abstract void setOnmouseover(java.lang.String string)

### getOnmouseover

    public abstract java.lang.String getOnmouseover()

### setSelectedChild

    public abstract void setSelectedChild(java.lang.String string)

### getSelectedChild

    public abstract java.lang.String getSelectedChild()

### getSelectedName

    public java.lang.String getSelectedName()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.